# $Revision: 1.21 $, $Date: 2008/12/19 00:01:29 $
# TODO: package the vim syntax file.
Summary:	A tool for converting text files to various formats
Summary(pl.UTF-8):	Narzędzie do konwersji plików tekstowych do różnych formatów
Name:		asciidoc
Version:	8.3.1
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/asciidoc/%{name}-%{version}.tar.gz
# Source0-md5:	3e8ea3eab6a6bd89f8fd49fb6d14bfb5
Patch0:		%{name}-safe.patch
URL:		http://www.methods.co.nz/asciidoc/index.html
BuildRequires:	sed >= 4.0
Requires:	python >= 2.3
Requires:	python-modules >= 2.3
Requires:	xmlto
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		sysconfdir	/etc/asciidoc

%description
AsciiDoc is a text document format for writing short documents,
articles, books and UNIX man pages. AsciiDoc files can be translated
to HTML (with or without stylesheets), DocBook and LinuxDoc markup
using the asciidoc(1) command. AsciiDoc is highly configurable: both
the AsciiDoc source file syntax and the backend output markups (which
can be almost any type of SGML/XML markup) can be customized and
extended by the user.

%description -l pl.UTF-8
AsciiDoc jest formatem dokumentów tekstowych do pisania krótkich
dokumentów, artykułów, książek i podręczników systemu UNIX. Pliki
AsciiDoc mogą być tłumaczone do HTML-a (z lub bez CSS), DocBooka i
LinuxDoca używając polecenia asciidoc(1). AsciiDoc jest wysoce
konfigurowalny: zarówno składnia plików źródłowych, jak i znaczniki
backendów (które mogą być dowolnego typu SGML/XML) mogą być
dostosowywane i rozszerzane przez użytkownika.

%prep
%setup -q
%patch0 -p1

%build
sed -i -e '1s|^#!/usr/bin/env python|#!/usr/bin/python|' asciidoc.py

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{sysconfdir}}
install -d $RPM_BUILD_ROOT%{sysconfdir}/{docbook-xsl,filters,stylesheets}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/{images/icons/callouts,javascripts}

install asciidoc.py $RPM_BUILD_ROOT%{_bindir}/asciidoc
install a2x $RPM_BUILD_ROOT%{_bindir}/a2x
install doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

install *.conf $RPM_BUILD_ROOT%{sysconfdir}
install docbook-xsl/*.xsl $RPM_BUILD_ROOT%{sysconfdir}/docbook-xsl
install filters/*.py $RPM_BUILD_ROOT%{sysconfdir}/filters
install filters/*.conf $RPM_BUILD_ROOT%{sysconfdir}/filters
install stylesheets/*.css $RPM_BUILD_ROOT%{sysconfdir}/stylesheets
ln -s %{_datadir}/%{name}/images $RPM_BUILD_ROOT%{sysconfdir}/images
ln -s %{_datadir}/%{name}/javascripts $RPM_BUILD_ROOT%{sysconfdir}/javascripts
install images/icons/callouts/* $RPM_BUILD_ROOT%{_datadir}/%{name}/images/icons/callouts
install images/icons/README images/icons/*.png $RPM_BUILD_ROOT%{_datadir}/%{name}/images/icons
install javascripts/*.js $RPM_BUILD_ROOT%{_datadir}/%{name}/javascripts

#    if [ -d $VIM_RPM_BUILD_ROOT%{sysconfdir} ]; then
#        install -d $VIM_RPM_BUILD_ROOT%{sysconfdir}/syntax
#        install -m 644 vim/syntax/asciidoc.vim \
#                       $VIM_RPM_BUILD_ROOT%{sysconfdir}/syntax/asciidoc.vim
#        install -d $VIM_RPM_BUILD_ROOT%{sysconfdir}/ftdetect
#        install -m 644 vim/ftdetect/asciidoc_filetype.vim \
#                       $VIM_RPM_BUILD_ROOT%{sysconfdir}/ftdetect/asciidoc_filetype.vim
#    fi
rm -rf examples/website

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGELOG COPYRIGHT README doc/asciidoc.html examples
%attr(755,root,root) %{_bindir}/a2x
%attr(755,root,root) %{_bindir}/asciidoc
%dir %{sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{sysconfdir}/*.conf
%dir %{sysconfdir}/docbook-xsl
%{sysconfdir}/docbook-xsl/*.xsl
%dir %{sysconfdir}/filters
%config(noreplace) %verify(not md5 mtime size) %{sysconfdir}/filters/*.conf
%attr(755,root,root) %{sysconfdir}/filters/*.py
%{sysconfdir}/images
%{sysconfdir}/javascripts
%dir %{sysconfdir}/stylesheets
%{sysconfdir}/stylesheets/*.css
%{_datadir}/%{name}
%{_mandir}/man1/a2x.1*
%{_mandir}/man1/asciidoc.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: asciidoc.spec,v $
Revision 1.21  2008/12/19 00:01:29  adamg
- updated to 8.3.1

Revision 1.20  2008/12/12 00:16:28  radek
- fix timstamps in spec changelog

Revision 1.19  2008/09/02 20:40:48  qboosh
- added safe patch, works now
- release 2

Revision 1.18  2008/07/20 20:42:57  qboosh
- updated to 8.2.7

Revision 1.17  2008/03/23 21:14:23  qboosh
- actually package data
- FHS fix: javascripts and images back to /usr/share;
  let's consider the rest of dirs as potentially containing configuration

Revision 1.16  2008-03-16 12:33:26  witekfl
- up to 8.2.5
- Source URL points to faster sourceforge
- all files moved to /etc/asciidoc like in the original
- added TODO

Revision 1.15  2007-07-19 19:14:18  witekfl
- run sed only on the first line

Revision 1.14  2007/07/18 19:00:41  witekfl
- s|/#!/usr/bin/env python|#!/usr/bin/python|
- rel 3

Revision 1.13  2007/02/14 09:18:00  arekm
- drop examples; too many symlinks pointing to nowhere

Revision 1.12  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:38  baggins
- converted to UTF-8

Revision 1.10  2006/07/17 18:00:01  witekfl
- up to 7.1.2
- more files
- more docs

Revision 1.9  2006/07/17 17:22:47  witekfl
- libxslt-progs is already required by xmlto

Revision 1.8  2006/07/16 17:04:27  witekfl
- added R:libxslt-progs and xmlto
- added stylesheets to the package
- Rel 2

Revision 1.7  2005/06/18 11:03:40  charles
- restored lost changelog entry

Revision 1.6  2005/06/18 10:55:27  charles
- oops... reverted last change

Revision 1.5  2005/06/18 10:49:22  charles
- s/Requires/pyrequires_eq/

Revision 1.4  2005/06/16 15:01:35  charles
- updated to 7.0.0
- R: python-modules

Revision 1.3  2005/05/30 19:39:25  qboosh
- deduped files

Revision 1.2  2005/05/30 19:26:23  qboosh
- formatting, use config(noreplace) verify()

Revision 1.1  2005/05/29 21:03:27  witekfl
- initial PLD release
